Ubuntu

Activity log for bug #711635

Date Who What changed Old value New value Message
2011-02-02 03:57:16 B. J. Potter bug added bug
2011-02-03 20:39:03 Scott Moser mysql-dfsg-5.1 (Ubuntu): importance Undecided Low
2011-02-03 20:39:03 Scott Moser mysql-dfsg-5.1 (Ubuntu): status New Confirmed
2011-02-03 22:02:33 Clint Byrum bug task added upstart
2011-02-03 22:17:43 Clint Byrum mysql-dfsg-5.1 (Ubuntu): status Confirmed Triaged
2011-02-03 22:17:48 Clint Byrum bug added subscriber Clint Byrum
2011-02-03 22:18:55 Clint Byrum summary mysql update fails waiting for input mysql update fails waiting for upstart job to respawn
2011-03-12 00:07:05 Scott James Remnant summary mysql update fails waiting for upstart job to respawn init: post-start can cause respawn to hang
2011-03-12 00:07:08 Scott James Remnant upstart: status New Triaged
2011-03-12 00:07:09 Scott James Remnant upstart: importance Undecided Medium
2011-06-14 16:48:28 Rich Wales bug added subscriber Rich Wales
2012-02-19 22:56:15 Clint Byrum bug task added mysql-5.1 (Ubuntu)
2012-02-19 22:56:28 Clint Byrum bug task added mysql-5.5 (Ubuntu)
2012-02-19 22:56:36 Clint Byrum mysql-5.1 (Ubuntu): status New Triaged
2012-02-19 22:56:40 Clint Byrum mysql-5.5 (Ubuntu): status New Triaged
2012-02-19 22:56:44 Clint Byrum mysql-5.1 (Ubuntu): importance Undecided Low
2012-02-19 22:56:49 Clint Byrum mysql-5.5 (Ubuntu): importance Undecided Low
2012-02-20 01:55:39 Clint Byrum mysql-5.5 (Ubuntu): status Triaged In Progress
2012-02-20 01:55:43 Clint Byrum mysql-5.5 (Ubuntu): assignee Clint Byrum (clint-fewbar)
2012-02-20 01:55:51 Clint Byrum mysql-5.5 (Ubuntu): importance Low High
2012-02-20 01:55:56 Clint Byrum mysql-5.1 (Ubuntu): importance Low High
2012-02-20 01:56:00 Clint Byrum mysql-dfsg-5.1 (Ubuntu): importance Low High
2012-02-20 02:13:34 Launchpad Janitor branch linked lp:ubuntu/mysql-5.5
2012-03-16 19:10:33 Clint Byrum nominated for series Ubuntu Lucid
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.1 (Ubuntu Lucid)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.5 (Ubuntu Lucid)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-dfsg-5.1 (Ubuntu Lucid)
2012-03-16 19:10:33 Clint Byrum nominated for series Ubuntu Natty
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.1 (Ubuntu Natty)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.5 (Ubuntu Natty)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-dfsg-5.1 (Ubuntu Natty)
2012-03-16 19:10:33 Clint Byrum nominated for series Ubuntu Oneiric
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.1 (Ubuntu Oneiric)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-5.5 (Ubuntu Oneiric)
2012-03-16 19:10:33 Clint Byrum bug task added mysql-dfsg-5.1 (Ubuntu Oneiric)
2012-03-16 19:10:59 Clint Byrum mysql-5.1 (Ubuntu Lucid): status New Invalid
2012-03-16 19:11:32 Clint Byrum nominated for series Ubuntu Precise
2012-03-16 19:11:32 Clint Byrum bug task added mysql-5.1 (Ubuntu Precise)
2012-03-16 19:11:32 Clint Byrum bug task added mysql-5.5 (Ubuntu Precise)
2012-03-16 19:11:32 Clint Byrum bug task added mysql-dfsg-5.1 (Ubuntu Precise)
2012-03-16 19:11:51 Clint Byrum mysql-5.1 (Ubuntu Precise): status Triaged Invalid
2012-03-16 19:13:16 Clint Byrum mysql-5.5 (Ubuntu Precise): status In Progress Fix Committed
2012-03-16 19:13:41 Clint Byrum mysql-dfsg-5.1 (Ubuntu Precise): status Triaged Invalid
2012-03-16 19:14:06 Clint Byrum mysql-dfsg-5.1 (Ubuntu Lucid): importance Undecided High
2012-03-16 19:14:06 Clint Byrum mysql-dfsg-5.1 (Ubuntu Lucid): status New Triaged
2012-03-16 19:14:25 Clint Byrum mysql-5.1 (Ubuntu Oneiric): importance Undecided High
2012-03-16 19:14:25 Clint Byrum mysql-5.1 (Ubuntu Oneiric): status New Triaged
2012-03-16 19:14:47 Clint Byrum mysql-5.1 (Ubuntu Natty): importance Undecided High
2012-03-16 19:14:47 Clint Byrum mysql-5.1 (Ubuntu Natty): status New Triaged
2012-03-16 19:15:12 Clint Byrum mysql-dfsg-5.1 (Ubuntu Natty): status New Invalid
2012-03-16 19:15:24 Clint Byrum mysql-dfsg-5.1 (Ubuntu Oneiric): status New Invalid
2012-03-23 03:23:50 Kate Stewart tags amd64 apport-package lucid amd64 apport-package lucid precise rls-mgr-p-tracking
2012-03-30 00:40:47 Launchpad Janitor mysql-5.5 (Ubuntu Precise): status Fix Committed Fix Released
2012-03-30 00:40:47 Launchpad Janitor bug watch added http://bugs.mysql.com/bug.php?id=64401
2012-04-09 18:39:31 Clint Byrum description I believe that it is looking for some input when updating mysql. The updating just stops when mysql is being updated. There is no dialog box to be found. This has happened to me several times on different computers. ProblemType: Package DistroRelease: Ubuntu 10.04 Package: mysql-server-5.1 5.1.41-3ubuntu12.9 ProcVersionSignature: Ubuntu 2.6.32-27.49-generic 2.6.32.26+drm33.12 Uname: Linux 2.6.32-27-generic x86_64 NonfreeKernelModules: wl nvidia Architecture: amd64 Date: Tue Feb 1 18:32:38 2011 ErrorMessage: subprocess installed post-installation script killed by signal (Terminated) InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027) MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf: [mysqld_safe] syslog MySQLVarLibDirListing: ['mysql', 'debian-5.1.flag'] SourcePackage: mysql-dfsg-5.1 Title: package mysql-server-5.1 5.1.41-3ubuntu12.9 failed to install/upgrade: subprocess installed post-installation script killed by signal (Terminated) mtime.conffile..etc.apparmor.d.usr.sbin.mysqld: 2010-03-06T11:30:30.842210 == SRU Justification == = IMPACT = Users who have inadvertently broken their mysql configuration will be met with a hung package upgrade process on any updates, and no easy way to see that fact. = TEST CASE: = 1. sudo apt-get install mysql-server 2. edit /etc/mysql/my.cnf and add an invalid variable to the [mysqld] section 3. sudo apt-get --reinstall install mysql-server - affected system will hang forever on the 'start' of mysql 4. in another terminal, verify status of mysql job is 'start/respawn' 5. in that second terminal, run 'sudo stop mysql' 6. first terminal should now be "unlocked" 7. install updated package 8. install should error out on starting mysql, but not hang, giving the user an opportunity to see their broken /etc/mysql/my.cnf. = Dev Fix = This was fixed in the 5.5 packages by making sure that in the post-start if the job is in 'respawn' that the post-start is aborted immediately. = REGRESSION POTENTIAL = Its possible that this code will cause some systems to error out where they would keep retrying forever. This might be particularly problematic in systems that use configuration management like puppet or chef, where they would boot the system, and then run the config management to apply the correct configs. ======== I believe that it is looking for some input when updating mysql. The updating just stops when mysql is being updated. There is no dialog box to be found. This has happened to me several times on different computers. ProblemType: Package DistroRelease: Ubuntu 10.04 Package: mysql-server-5.1 5.1.41-3ubuntu12.9 ProcVersionSignature: Ubuntu 2.6.32-27.49-generic 2.6.32.26+drm33.12 Uname: Linux 2.6.32-27-generic x86_64 NonfreeKernelModules: wl nvidia Architecture: amd64 Date: Tue Feb 1 18:32:38 2011 ErrorMessage: subprocess installed post-installation script killed by signal (Terminated) InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027) MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf:  [mysqld_safe]  syslog MySQLVarLibDirListing: ['mysql', 'debian-5.1.flag'] SourcePackage: mysql-dfsg-5.1 Title: package mysql-server-5.1 5.1.41-3ubuntu12.9 failed to install/upgrade: subprocess installed post-installation script killed by signal (Terminated) mtime.conffile..etc.apparmor.d.usr.sbin.mysqld: 2010-03-06T11:30:30.842210
2012-04-09 18:40:41 Launchpad Janitor mysql-5.5 (Ubuntu Lucid): status New Confirmed
2012-04-09 18:40:41 Launchpad Janitor mysql-5.5 (Ubuntu Natty): status New Confirmed
2012-04-09 18:40:41 Launchpad Janitor mysql-5.5 (Ubuntu Oneiric): status New Confirmed
2012-04-09 19:28:25 Clint Byrum bug added subscriber Ubuntu Stable Release Updates Team
2012-04-09 19:28:59 Clint Byrum mysql-5.5 (Ubuntu Lucid): status Confirmed Invalid
2012-04-09 19:29:15 Clint Byrum mysql-5.5 (Ubuntu Natty): status Confirmed Invalid
2012-04-09 19:29:30 Clint Byrum mysql-5.5 (Ubuntu Oneiric): status Confirmed Invalid
2012-04-09 19:34:01 Clint Byrum description == SRU Justification == = IMPACT = Users who have inadvertently broken their mysql configuration will be met with a hung package upgrade process on any updates, and no easy way to see that fact. = TEST CASE: = 1. sudo apt-get install mysql-server 2. edit /etc/mysql/my.cnf and add an invalid variable to the [mysqld] section 3. sudo apt-get --reinstall install mysql-server - affected system will hang forever on the 'start' of mysql 4. in another terminal, verify status of mysql job is 'start/respawn' 5. in that second terminal, run 'sudo stop mysql' 6. first terminal should now be "unlocked" 7. install updated package 8. install should error out on starting mysql, but not hang, giving the user an opportunity to see their broken /etc/mysql/my.cnf. = Dev Fix = This was fixed in the 5.5 packages by making sure that in the post-start if the job is in 'respawn' that the post-start is aborted immediately. = REGRESSION POTENTIAL = Its possible that this code will cause some systems to error out where they would keep retrying forever. This might be particularly problematic in systems that use configuration management like puppet or chef, where they would boot the system, and then run the config management to apply the correct configs. ======== I believe that it is looking for some input when updating mysql. The updating just stops when mysql is being updated. There is no dialog box to be found. This has happened to me several times on different computers. ProblemType: Package DistroRelease: Ubuntu 10.04 Package: mysql-server-5.1 5.1.41-3ubuntu12.9 ProcVersionSignature: Ubuntu 2.6.32-27.49-generic 2.6.32.26+drm33.12 Uname: Linux 2.6.32-27-generic x86_64 NonfreeKernelModules: wl nvidia Architecture: amd64 Date: Tue Feb 1 18:32:38 2011 ErrorMessage: subprocess installed post-installation script killed by signal (Terminated) InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027) MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf:  [mysqld_safe]  syslog MySQLVarLibDirListing: ['mysql', 'debian-5.1.flag'] SourcePackage: mysql-dfsg-5.1 Title: package mysql-server-5.1 5.1.41-3ubuntu12.9 failed to install/upgrade: subprocess installed post-installation script killed by signal (Terminated) mtime.conffile..etc.apparmor.d.usr.sbin.mysqld: 2010-03-06T11:30:30.842210 == SRU Justification == = IMPACT = Users who have inadvertently broken their mysql configuration will be met with a hung package upgrade process on any updates, and no easy way to see that fact. = TEST CASE: = 1. sudo apt-get install mysql-server 2. edit /etc/mysql/my.cnf and add an invalid variable to the [mysqld] section 3. sudo apt-get --reinstall install mysql-server - affected system will hang forever on the 'start' of mysql 4. in another terminal, verify status of mysql job is 'start/respawn' 5. in that second terminal, run 'sudo stop mysql' 6. first terminal should now be "unlocked" 7. install updated package 8. install should error out or move on quietly after trying to start mysql, but not hang indefinitely. = Dev Fix = This was fixed in the 5.5 packages by making sure that in the post-start if the job is in 'respawn' that the post-start is aborted immediately. = REGRESSION POTENTIAL = Its possible that this code will cause some systems to error out where they would keep retrying forever. This might be particularly problematic in systems that use configuration management like puppet or chef, where they would boot the system, and then run the config management to apply the correct configs. ======== I believe that it is looking for some input when updating mysql. The updating just stops when mysql is being updated. There is no dialog box to be found. This has happened to me several times on different computers. ProblemType: Package DistroRelease: Ubuntu 10.04 Package: mysql-server-5.1 5.1.41-3ubuntu12.9 ProcVersionSignature: Ubuntu 2.6.32-27.49-generic 2.6.32.26+drm33.12 Uname: Linux 2.6.32-27-generic x86_64 NonfreeKernelModules: wl nvidia Architecture: amd64 Date: Tue Feb 1 18:32:38 2011 ErrorMessage: subprocess installed post-installation script killed by signal (Terminated) InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027) MySQLConf.etc.mysql.conf.d.mysqld.safe.syslog.cnf:  [mysqld_safe]  syslog MySQLVarLibDirListing: ['mysql', 'debian-5.1.flag'] SourcePackage: mysql-dfsg-5.1 Title: package mysql-server-5.1 5.1.41-3ubuntu12.9 failed to install/upgrade: subprocess installed post-installation script killed by signal (Terminated) mtime.conffile..etc.apparmor.d.usr.sbin.mysqld: 2010-03-06T11:30:30.842210
2012-04-09 19:43:02 Jo Liss bug added subscriber Jo Liss
2012-06-01 03:19:34 Steve Langasek bug task added upstart (Ubuntu)
2012-06-01 03:21:12 Steve Langasek upstart (Ubuntu): importance Undecided Medium
2012-06-01 03:21:12 Steve Langasek upstart (Ubuntu): status New Triaged
2012-06-01 03:21:12 Steve Langasek upstart (Ubuntu): assignee James Hunt (jamesodhunt)
2012-06-01 03:22:59 Steve Langasek upstart (Ubuntu Lucid): status New Won't Fix
2012-06-01 03:41:36 Steve Langasek upstart (Ubuntu Natty): status New Won't Fix
2012-06-01 03:41:57 Steve Langasek upstart (Ubuntu Oneiric): status New Won't Fix
2012-06-01 03:49:33 Steve Langasek upstart (Ubuntu Precise): importance Undecided Medium
2012-06-01 03:49:33 Steve Langasek upstart (Ubuntu Precise): status New Triaged
2013-05-10 15:49:37 dino99 mysql-5.1 (Ubuntu Oneiric): status Triaged Invalid
2013-05-10 15:49:54 dino99 mysql-5.1 (Ubuntu Natty): status Triaged Invalid